package org.gcube.portlets.user.geoportaldataviewer.client.events.collections;

import com.google.gwt.event.shared.GwtEvent;

public class OpenCollectionEvent extends GwtEvent<OpenCollectionEventHandler> {
	
	
	private String collectionId = null;
	
    public static Type<OpenCollectionEventHandler> TYPE = new Type<OpenCollectionEventHandler>();

    @Override
    public Type<OpenCollectionEventHandler> getAssociatedType() {
        return TYPE;
    }

    @Override
    protected void dispatch(OpenCollectionEventHandler h) {
    	h.onOpenCollection(this);
    }
    
    public OpenCollectionEvent(String collectionId) {
		this.collectionId=collectionId;
	}
    public String getCollectionId() {
		return collectionId;
	}
    
}
