package org.gcube.portlets.user.geoportaldataviewer.shared;


import java.io.Serializable;
import java.util.List;

import org.gcube.application.geoportalcommon.shared.geoportal.ucd.UseCaseDescriptorDV;
import org.gcube.portlets.user.geoportaldataviewer.shared.gis.IndexLayer;


public class GCubeCollection implements Serializable {

    private UseCaseDescriptorDV ucd;
    private List<IndexLayer> indexes;
	
	
	public UseCaseDescriptorDV getUcd() {
		return ucd;
	}
    
    public List<IndexLayer> getIndexes() {
		return indexes;
	}
	
    
    public void setUcd(UseCaseDescriptorDV ucd) {
		this.ucd = ucd;
	}
    
    public void setIndexes(List<IndexLayer> indexes) {
		this.indexes = indexes;
	}

	@Override
	public String toString() {
		return "GCubeCollection [ucd=" + ucd + ", indexes=" + indexes + "]";
	}
    
    
}
