package org.gcube.portlets.user.geoportaldataviewer;


import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.portlets.user.geoportaldataviewer.server.mongoservice.IAMClientCredentialsReader;
import org.gcube.portlets.user.geoportaldataviewer.server.mongoservice.accessidentity.IAMClientCredentials;
import org.junit.Test;

public class IAMClient {

	private static final String SCOPE = "/gcube/devsec/devVRE";
	private static final String MONGO_ITEM_ID = "614af6a502ad3d6128abd43f";

	@Test
	public void readCredentials() {
		System.out.println("called readCredentials test");
		ScopeProvider.instance.set(SCOPE);
		IAMClientCredentials credentials = null;
		try {
			credentials = IAMClientCredentialsReader.getCredentials();
		} catch (Exception e) {
			e.printStackTrace();
		}

		System.out.println("Read credentials: " + credentials);
		
	}

}
