package org.gcube.portlets.user.geoportaldataviewer.shared.cl.document.materialization;

import java.util.HashMap;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gwt.user.client.rpc.IsSerializable;

public class GCubeSDILayerDV implements IsSerializable{

	
	
	// TODO manage heterogeneus collection
	
	@JsonProperty(value = "_type")
	private String type;
	@JsonProperty(value = "_platformInfo")
	private List<GeoServerPlatformInfoDV> platformInfos;
	@JsonProperty(value = "_bbox")
	private BBOXDV bbox;
	@JsonProperty(value = "_ogcLinks")
	private HashMap<String,String> ogcLinks;
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public List<GeoServerPlatformInfoDV> getPlatformInfos() {
		return platformInfos;
	}
	public void setPlatformInfos(List<GeoServerPlatformInfoDV> platformInfos) {
		this.platformInfos = platformInfos;
	}
	public BBOXDV getBbox() {
		return bbox;
	}
	public void setBbox(BBOXDV bbox) {
		this.bbox = bbox;
	}
	public HashMap<String, String> getOgcLinks() {
		return ogcLinks;
	}
	public void setOgcLinks(HashMap<String, String> ogcLinks) {
		this.ogcLinks = ogcLinks;
	}
	@Override
	public String toString() {
		return "GCubeSDILayerDV [type=" + type + ", platformInfos=" + platformInfos + ", bbox=" + bbox + ", ogcLinks="
				+ ogcLinks + "]";
	}
	
	
	
	
}
