package org.gcube.portlets.user.geoportaldataviewer.shared.gis;

import org.gcube.portlets.user.geoportaldataviewer.shared.cl.document.materialization.GCubeSDILayerDV;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gwt.user.client.rpc.IsSerializable;

public class IndexLayer implements IsSerializable{

	
	@JsonProperty(value = "_type")
	private String type;
	private GCubeSDILayerDV layer;
	private String indexName;
	private int records;
	private String flag;
	
	
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public GCubeSDILayerDV getLayer() {
		return layer;
	}
	public void setLayer(GCubeSDILayerDV layer) {
		this.layer = layer;
	}
	public String getIndexName() {
		return indexName;
	}
	public void setIndexName(String indexName) {
		this.indexName = indexName;
	}
	public int getRecords() {
		return records;
	}
	public void setRecords(int records) {
		this.records = records;
	}
	public String getFlag() {
		return flag;
	}
	public void setFlag(String flag) {
		this.flag = flag;
	}
	@Override
	public String toString() {
		return "IndexLayer [type=" + type + ", layer=" + layer + ", indexName=" + indexName + ", records=" + records
				+ ", flag=" + flag + "]";
	}
	

	
	
}
